<?php

/*
 * This file is part of a XenForo add-on.
 *
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 */

namespace SV\ModeratorEssentials\Cron;

/**
 * A cron for cleaning things up.
 */
class CleanUp
{
    /**
     * Runs various daily clean-up tasks.
     */
    public static function runDailyCleanUp()
    {
        /** @var \SV\ModeratorEssentials\XF\Repository\ModeratorLog $logRepo */
        $logRepo = \XF::repository('XF:ModeratorLog');
        $logRepo->pruneSearches();
    }
}
