<?php

/*
 * This file is part of a XenForo add-on.
 *
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 */

namespace SV\ModeratorEssentials\XF\InlineMod;

/**
 * Extends \XF\InlineMod\Post
 */
class Post extends XFCP_Post
{
    /**
     * @return array
     */
    public function getPossibleActions()
    {
        $actions = parent::getPossibleActions();

        $actions['convert_to_conversation'] = $this->getActionHandler(
            'SV\ModeratorEssentials:Post\ConvertToConversation'
        );

        return $actions;
    }
}
