<?php

/*
 * This file is part of a XenForo add-on.
 *
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 */

namespace SV\ModeratorEssentials\XF\Repository;

/**
 * Extends \XF\Repository\ApprovalQueue
 */
class ApprovalQueue extends XFCP_ApprovalQueue
{
    /**
     * @return \XF\Mvc\Entity\Finder
     */
    public function findUnapprovedContent()
    {
        $finder = parent::findUnapprovedContent();

        $finder->with('Report');

        return $finder;
    }
}
