<?php

/*
 * This file is part of a XenForo add-on.
 *
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 */

namespace SV\ModeratorEssentials\XF\Repository;

use SV\ModeratorEssentials\Globals;

use XF\Entity\Thread;

/**
 * Extends \XF\Repository\Post
 */
class Post extends XFCP_Post
{
    /**
     * @param Thread $thread
     * @param array  $limits
     *
     * @return \XF\Finder\Post
     */
    public function findPostsForThreadView(Thread $thread, array $limits = [])
    {
        Globals::$checkPlaceholderVisibility = true;
        $finder = parent::findPostsForThreadView($thread, $limits);
        Globals::$checkPlaceholderVisibility = false;

        return $finder;
    }
}
