<?php

/*
 * This file is part of a XenForo add-on.
 *
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 */

namespace SV\ModeratorEssentials\XF\Repository;

use SV\ModeratorEssentials\Globals;

use XF\Entity\Forum;

/**
 * Extends \XF\Repository\Thread
 */
class Thread extends XFCP_Thread
{
    /**
     * @param Forum $forum
     * @param array $limits
     *
     * @return \XF\Finder\Thread
     */
    public function findThreadsForForumView(Forum $forum, array $limits = [])
    {
        Globals::$checkPlaceholderVisibility = true;
        $finder = parent::findThreadsForForumView($forum, $limits);
        Globals::$checkPlaceholderVisibility = false;

        return $finder;
    }
}
