<?php

/*
 * This file is part of a XenForo add-on.
 *
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 */

namespace SV\ModeratorEssentials\XF\InlineMod;

/**
 * Extends \XF\InlineMod\Thread
 */
class Thread extends XFCP_Thread
{
    /**
     * @return array
     */
    public function getPossibleActions()
    {
        $actions = parent::getPossibleActions();

        $actions['add_tags'] = $this->getActionHandler(
            'SV\ModeratorEssentials:Thread\AddTags'
        );

        return $actions;
    }
}
