<?php

/*
 * This file is part of a XenForo add-on.
 *
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 */

namespace SV\ModeratorEssentials\XF\Pub\View\Member;

/**
 * Extends \XF\Pub\View\Member\WarnFill
 */
class WarnFill extends XFCP_WarnFill
{
    /**
     * @return array
     */
    public function renderJson()
    {
        $view = parent::renderJson();

        $formValues = &$view['formValues'];
        $default = \XF::options()->modess_warn_start_conversation_default;
        if (!$default['checked'] && (!$default['admins_only'] || $visitor->is_admin)) {
            $formValues['input[name=start_conversation]'] = 0;
        }

        return $view;
    }
}
